Skip to main content
GET
/
v1
/
accounts
/
withdrawals
List all account withdrawals
curl --request GET \
  --url https://api-sandbox.circle.com/v1/accounts/withdrawals \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
      "sourceAccountId": "<string>",
      "destination": {
        "type": "wire",
        "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
        "name": "COMMERZBANK AG ****3000"
      },
      "amount": {
        "amount": "3.14",
        "currency": "USD"
      },
      "toAmount": {
        "currency": "USD",
        "amount": "3.14"
      },
      "fees": {
        "amount": "3.14",
        "currency": "USD"
      },
      "status": "pending",
      "trackingRef": "<string>",
      "errorCode": "insufficient_funds",
      "riskEvaluation": {
        "decision": "approved",
        "reason": "3000"
      },
      "adjustments": {
        "fxCredit": {
          "amount": "3.14",
          "currency": "USD"
        },
        "fxDebit": {
          "amount": "3.14",
          "currency": "USD"
        }
      },
      "return": {
        "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
        "payoutId": "abdb500d-4a59-457c-801f-2d418c8703ac",
        "amount": {
          "amount": "3.14",
          "currency": "USD"
        },
        "fees": {
          "amount": "3.14",
          "currency": "USD"
        },
        "reason": "payout_returned",
        "status": "pending",
        "createDate": "2020-04-10T02:13:30.000Z",
        "updateDate": "2020-04-10T02:13:30.000Z"
      },
      "createDate": "2020-04-10T02:13:30.000Z",
      "updateDate": "2020-04-10T02:13:30.000Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string

Identifier of the account. Filters results to fetch only resources associated with the specified account.

Example:

"1000565227"

status
enum<string>[]

Queries items with the specified status. Matches any status if unspecified.

Status of the payout. Status pending indicates that the payout is in process; complete indicates it finished successfully; failed indicates it failed.

Available options:
pending,
complete,
failed
from
string

Queries items created since the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

to
string

Queries items created before the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

pageBefore
string

A collection ID value used for pagination. It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

Example:

"def9520a-5280-4089-9b02-3c9ef8fc8514"

pageAfter
string

A collection ID value used for pagination. It marks the exclusive begin of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

Example:

"bce1e961-bdb8-4983-a9c2-0b3fbc2614cf"

pageSize
integer

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If avoided, the collection will determine the page size itself.

Required range: x >= 1
Example:

5

Response

Successfully retrieved a list of withdrawals.

data
object[]